Subject: Re: [bug#78066] [PATCH v2 1/5] gnu: fail2ban: Move file deletion to source snippet.

From: Nicolas Graves <[email-masked]>
Date: Wed, 30 Apr 2025 09:59:51 +0200

On 2025-04-29 10:00, Andreas Enge wrote:

> Hello Nicolas,
>
> thanks for the update!
>
> Am Sun, Apr 27, 2025 at 11:08:08AM +0200 schrieb Nicolas Graves:
>> * gnu/packages/admin.scm (fail2ban)
>>   [arguments]<phases>: Move multiple file deletion from here...
>>   [source]<snippet>: ...to here.
>> +                  ;; deleting things that are not feasible to fix
>> +                  ;; or won't be used any way
>
> What is the motivation for this change? I think we always remove
> non-free code and often bundled libraries in a snippet, but changes only
> related to the idiosyncrasies of Guix usually occur in the phases. In this
> way, "guix build -S" returns essentially the source code of a package.
>
> But this is not written policy, so no hard obstacle to pushing the
> commit; I just do not see why a snippet would be better than a phase.

My rationale was that those files are not going to be used and are
replaced by a guix alternative file, provided as a patch.  Since they
are removed anyway, it's arguably better to remove them from source too,
as not to download them when not needed.  It might also be better for
readability of the phases replacement.

But it's not also an issue if we prefer to keep them in phases, I don't
really care.

-- 
Best regards,
Nicolas Graves